DeletePrivateZone

1. API Description

This API (DeletePrivateZone) is used to Delete a DNS Zone.

circle-info

Note

  • Before deleting a DNS Zone, all associated VPCs must be disassociated.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneId

Yes

String

The DNS Zone ID to be deleted.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Delete a DNS Zone.

POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeletePrivateZone
<Common Request Params>

Request:
{
    "zoneId": "eipId"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

INVALID_ZONE_VPC_ASSOCIATED

The DNS Zone is associated with a VPC and cannot be operated.

Last updated